All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.metadata.remote
Interface ServiceComponent

All Superinterfaces:
  CMetadata, ConfiguredComponent, DeployedComponent, MdObjectBase, MdObjectBaseUtil, MdObjectBaseXML, PrimaryType, java.rmi.Remote, Root, SoftwareComponent

    public interface ServiceComponent

extends ConfiguredComponent

Represents software that acts as a service.

Attributes of ServiceComponent are:

- `IsRemotelyAccessible`
- `FactoryClassName`

Associations of ServiceComponent are:

## Usage

To create an instance of this ServiceComponent, use the `factory` create methods.
Example: create a ServiceComponent with name "ServiceComponent_Object", in repository "AAAAAAAA".

     // create a store to contain your objects for this change. If you do not have an existing object
     // or store to use.  You may obtain the store from another object by using Object.getObjectStore().
     MdFactory factory; //where "factory" is a valid MdFactory instance
     MdObjectStore objectStore = factory.createObjectStore();
     ServiceComponent myObject = (ServiceComponent) factory.createComplexMetadataObject(objectStore, "ServiceComponent_Object", MetadataObjects.SERVICECOMPONENT, "AAAAAAAA");
     myObject.updateMetadataAll();  // Write object to server
     objectStore.dispose();  // dispose of the object store if it is no longer needed

## Behavior

- Attributes and associations for this object can be retrieved by using the methods in `MdOMIUtil`.
- When changes are made to the object, either by setting an attribute or adding objects to a particular association, they can be persisted to the metadata server with the `updateMetadataAll` method.
- If an object needs to be deleted, the `delete` method can be used. This will flag the object as being deleted on the client, and will require an update call to persist the change to the server.

## Dependencies

This class depends on objects being contained in an MdObjectStore. Object stores should be disposed of when they are no longer needed as this will help clean up memory. Disposing an object store will dispose of all objects contained within that store.

Since:
  9.0

Field Summary
`static java.lang.String` | `ATTRIBUTE_FACTORYCLASSNAME_NAME` Constant used for the name of the FactoryClassName attribute.
`static java.lang.String` | `ATTRIBUTE_ISREMOTELYACCESSIBLE_NAME` Constant used for the name of the IsRemotelyAccessible attribute.

Fields inherited from interface com.sas.metadata.remote.DeployedComponent
`ASSOCIATION_ASSOCIATEDMACHINE_NAME, ASSOCIATION_COMPUTETASKS_NAME, ASSOCIATION_DATAPACKAGES_NAME, ASSOCIATION_DESCRIPTIVECOMPONENT_NAME, ASSOCIATION_INITPROCESSES_NAME, ASSOCIATION_LICENSES_NAME, ASSOCIATION_NAMEDSERVICES_NAME, ASSOCIATION_PROVIDERCONNECTIONS_NAME, ASSOCIATION_REGISTEREDEVENTS_NAME, ASSOCIATION_SERVICENAMES_NAME, ASSOCIATION_SERVICETYPES_NAME, ASSOCIATION_SOURCECONNECTIONS_NAME, ASSOCIATION_USEDBYCOMPONENTS_NAME, ASSOCIATION_USINGCOMPONENTS_NAME, ATTRIBUTE_INSTALLATIONLOCATION_NAME, ATTRIBUTE_ISLICENSED_NAME`

Fields inherited from interface com.sas.metadata.remote.SoftwareComponent
`ASSOCIATION_CUSTOMIZEDPROPERTIES_NAME, ASSOCIATION_CUSTOMIZEDTRANSFORMATIONS_NAME, ASSOCIATION_CUSTOMIZEDTYPES_NAME, ASSOCIATION_DEPENDENTCOMPONENTS_NAME, ASSOCIATION_DEPENDSONCOMPONENTS_NAME, ASSOCIATION_DEPLOYEDCOMPONENTS_NAME, ASSOCIATION_EDITEDPROPERTIES_NAME, ASSOCIATION_EDITEDTYPES_NAME, ASSOCIATION_IMPLEMENTEDOBJECTS_NAME, ASSOCIATION_PROPERTYGROUPS_NAME, ASSOCIATION_SOFTWAREGROUPS_NAME, ASSOCIATION_SOFTWARETREES_NAME, ASSOCIATION_VALIDATEDPROPERTIES_NAME, ASSOCIATION_VALIDATEDTYPES_NAME, ATTRIBUTE_CLASSIDENTIFIER_NAME, ATTRIBUTE_CONFIGUREVERSION_NAME, ATTRIBUTE_MAJOR_NAME, ATTRIBUTE_MINOR_NAME, ATTRIBUTE_PLATFORM_NAME, ATTRIBUTE_PRODUCTIDENTIFIER_NAME, ATTRIBUTE_PRODUCTNAME_NAME, ATTRIBUTE_SOFTWAREVERSION_NAME, ATTRIBUTE_SPECVENDOR_NAME, ATTRIBUTE_SPECVERSION_NAME, ATTRIBUTE_VENDOR_NAME, ATTRIBUTE_VENDORIDENTIFIER_NAME`

Fields inherited from interface com.sas.metadata.remote.PrimaryType
`ASSOCIATION_FAVORITESCONTAINERS_NAME, ATTRIBUTE_ISHIDDEN_NAME, ATTRIBUTE_PUBLICTYPE_NAME`

Fields inherited from interface com.sas.metadata.remote.Root
`ASSOCIATION_ACCESSCONTROLS_NAME, ASSOCIATION_CHANGES_NAME, ASSOCIATION_CUSTOMASSOCIATIONS_NAME, ASSOCIATION_DOCUMENTS_NAME, ASSOCIATION_EXTENSIONS_NAME, ASSOCIATION_EXTERNALIDENTITIES_NAME, ASSOCIATION_GROUPS_NAME, ASSOCIATION_IMPLEMENTORS_NAME, ASSOCIATION_KEYWORDS_NAME, ASSOCIATION_LOCALIZEDATTRIBUTES_NAME, ASSOCIATION_NOTES_NAME, ASSOCIATION_PRIMARYPROPERTYGROUP_NAME, ASSOCIATION_PROMPTS_NAME, ASSOCIATION_PROPERTIES_NAME, ASSOCIATION_PROPERTYSETS_NAME, ASSOCIATION_REFERENCEDOBJECTS_NAME, ASSOCIATION_RESPONSIBLEPARTIES_NAME, ASSOCIATION_SOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECSOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECTARGETTRANSFORMATIONS_NAME, ASSOCIATION_TARGETTRANSFORMATIONS_NAME, ASSOCIATION_TIMESTAMPS_NAME, ASSOCIATION_TREES_NAME, ASSOCIATION_TSOBJECTNAMESPACE_NAME, ASSOCIATION_USEDBYPROTOTYPES_NAME, ASSOCIATION_USINGPROTOTYPE_NAME, ASSOCIATION_VARIABLES_NAME, ATTRIBUTE_CHANGESTATE_NAME, ATTRIBUTE_LOCKEDBY_NAME, ATTRIBUTE_USAGEVERSION_NAME`

Fields inherited from interface com.sas.metadata.remote.MdObjectBase
`ATTRIBUTE_DESC_NAME, ATTRIBUTE_ID_NAME, ATTRIBUTE_METADATACREATED_NAME, ATTRIBUTE_METADATAUPDATED_NAME, ATTRIBUTE_NAME_NAME`

Method Summary
`abstract java.lang.String` | `getFactoryClassName()` Gets the `String` value of `FactoryClassName`
`abstract int` | `getFactoryClassNameMaxLength()` Gets the maximum length of `FactoryClassName`
`abstract int` | `getFactoryClassNameState()` Gets the Metadata State of `FactoryClassName`
`abstract int` | `getIsRemotelyAccessible()` Gets the `int` value of `IsRemotelyAccessible`
`abstract int` | `getIsRemotelyAccessibleState()` Gets the Metadata State of `IsRemotelyAccessible`
`abstract void` | `initializePredObjects()` (S) Adds the Associated objects to the predObjects which are:
`abstract void` | `initializeRequiredObjects()` (S) This initializes the Required Objects(Roles) which are:
`abstract void` | `setFactoryClassName(java.lang.String inFactoryClassName)` Sets the `FactoryClassName` value and sets the state to MetadataState.LOCAL.
`abstract void` | `setFactoryClassName(java.lang.String inFactoryClassName, int state)` Sets the `FactoryClassName` Metadata State.
`abstract void` | `setFactoryClassNameState(int state)` Sets the Metadata State of `FactoryClassName`.
`abstract void` | `setIsRemotelyAccessible(int inIsRemotelyAccessible)` Sets the `IsRemotelyAccessible` value and sets the state to MetadataState.LOCAL.
`abstract void` | `setIsRemotelyAccessible(int inIsRemotelyAccessible, int state)` Sets the `IsRemotelyAccessible` Metadata State.
`abstract void` | `setIsRemotelyAccessible(java.lang.String inIsRemotelyAccessible)` Sets the `IsRemotelyAccessible` value and sets the state to MetadataState.LOCAL.
`abstract void` | `setIsRemotelyAccessible(java.lang.String inIsRemotelyAccessible, int state)` Sets the `IsRemotelyAccessible` value and Metadata State.
`abstract void` | `setIsRemotelyAccessibleState(int state)` Sets the Metadata State of `IsRemotelyAccessible`.

Methods inherited from interface com.sas.metadata.remote.DeployedComponent
`getAssociatedMachine, getAssociatedMachines, getAssociatedMachines, getComputeTasks, getComputeTasks, getDataPackages, getDataPackages, getDescriptiveComponent, getDescriptiveComponents, getDescriptiveComponents, getInitProcesses, getInitProcesses, getInstallationLocation, getInstallationLocationMaxLength, getInstallationLocationState, getIsLicensed, getIsLicensedState, getLicenses, getLicenses, getNamedServices, getNamedServices, getProviderConnections, getProviderConnections, getRegisteredEvents, getRegisteredEvents, getServiceNames, getServiceNames, getServiceTypes, getServiceTypes, getSourceConnections, getSourceConnections, getUsedByComponents, getUsedByComponents, getUsingComponents, getUsingComponents, setAssociatedMachine, setAssociatedMachines, setAssociatedMachines, setComputeTasks, setComputeTasks, setDataPackages, setDataPackages, setDescriptiveComponent, setDescriptiveComponents, setDescriptiveComponents, setInitProcesses, setInitProcesses, setInstallationLocation, setInstallationLocation, setInstallationLocationState, setIsLicensed, setIsLicensed, setIsLicensed, setIsLicensed, setIsLicensedState, setLicenses, setLicenses, setNamedServices, setNamedServices, setProviderConnections, setProviderConnections, setRegisteredEvents, setRegisteredEvents, setServiceNames, setServiceNames, setServiceTypes, setServiceTypes, setSourceConnections, setSourceConnections, setUsedByComponents, setUsedByComponents, setUsingComponents, setUsingComponents`

Methods inherited from interface com.sas.metadata.remote.SoftwareComponent
`getClassIdentifier, getClassIdentifierMaxLength, getClassIdentifierState, getConfigureVersion, getConfigureVersionMaxLength, getConfigureVersionState, getCustomizedProperties, getCustomizedProperties, getCustomizedTransformations, getCustomizedTransformations, getCustomizedTypes, getCustomizedTypes, getDependentComponents, getDependentComponents, getDependsOnComponents, getDependsOnComponents, getDeployedComponents, getDeployedComponents, getEditedProperties, getEditedProperties, getEditedTypes, getEditedTypes, getImplementedObjects, getImplementedObjects, getMajor, getMajorState, getMinor, getMinorState, getPlatform, getPlatformMaxLength, getPlatformState, getProductIdentifier, getProductIdentifierMaxLength, getProductIdentifierState, getProductName, getProductNameMaxLength, getProductNameState, getPropertyGroups, getPropertyGroups, getSoftwareGroups, getSoftwareGroups, getSoftwareTrees, getSoftwareTrees, getSoftwareVersion, getSoftwareVersionMaxLength, getSoftwareVersionState, getSpecVendor, getSpecVendorMaxLength, getSpecVendorState, getSpecVersion, getSpecVersionMaxLength, getSpecVersionState, getValidatedProperties, getValidatedProperties, getValidatedTypes, getValidatedTypes, getVendor, getVendorIdentifier, getVendorIdentifierMaxLength, getVendorIdentifierState, getVendorMaxLength, getVendorState, setClassIdentifier, setClassIdentifier, setClassIdentifierState, setConfigureVersion, setConfigureVersion, setConfigureVersionState, setCustomizedProperties, setCustomizedProperties, setCustomizedTransformations, setCustomizedTransformations, setCustomizedTypes, setCustomizedTypes, setDependentComponents, setDependentComponents, setDependsOnComponents, setDependsOnComponents, setDeployedComponents, setDeployedComponents, setEditedProperties, setEditedProperties, setEditedTypes, setEditedTypes, setImplementedObjects, setImplementedObjects, setMajor, setMajor, setMajor, setMajor, setMajorState, setMinor, setMinor, setMinor, setMinor, setMinorState, setPlatform, setPlatform, setPlatformState, setProductIdentifier, setProductIdentifier, setProductIdentifierState, setProductName, setProductName, setProductNameState, setPropertyGroups, setPropertyGroups, setSoftwareGroups, setSoftwareGroups, setSoftwareTrees, setSoftwareTrees, setSoftwareVersion, setSoftwareVersion, setSoftwareVersionState, setSpecVendor, setSpecVendor, setSpecVendorState, setSpecVersion, setSpecVersion, setSpecVersionState, setValidatedProperties, setValidatedProperties, setValidatedTypes, setValidatedTypes, setVendor, setVendor, setVendorIdentifier, setVendorIdentifier, setVendorIdentifierState, setVendorState`

Methods inherited from interface com.sas.metadata.remote.PrimaryType
`getFavoritesContainers, getFavoritesContainers, getIsHidden, getIsHiddenState, getPublicType, getPublicTypeMaxLength, getPublicTypeState, setFavoritesContainers, setFavoritesContainers, setIsHidden, setIsHidden, setIsHidden, setIsHidden, setIsHiddenState, setPublicType, setPublicType, setPublicTypeState`

Methods inherited from interface com.sas.metadata.remote.Root
`getAccessControls, getAccessControls, getChanges, getChanges, getChangeState, getChangeStateMaxLength, getChangeStateState, getCustomAssociations, getCustomAssociations, getDocuments, getDocuments, getExtensions, getExtensions, getExternalIdentities, getExternalIdentities, getGroups, getGroups, getImplementors, getImplementors, getKeywords, getKeywords, getLocalizedAttributes, getLocalizedAttributes, getLockedBy, getLockedByMaxLength, getLockedByState, getNotes, getNotes, getPrimaryPropertyGroup, getPrimaryPropertyGroups, getPrimaryPropertyGroups, getPrompts, getPrompts, getProperties, getProperties, getPropertySets, getPropertySets, getReferencedObjects, getReferencedObjects, getResponsibleParties, getResponsibleParties, getSourceTransformations, getSourceTransformations, getSpecSourceTransformations, getSpecSourceTransformations, getSpecTargetTransformations, getSpecTargetTransformations, getTargetTransformations, getTargetTransformations, getTimestamps, getTimestamps, getTrees, getTrees, getTSObjectNamespace, getTSObjectNamespaces, getTSObjectNamespaces, getUsageVersion, getUsageVersionState, getUsedByPrototypes, getUsedByPrototypes, getUsingPrototype, getUsingPrototypes, getUsingPrototypes, getVariables, getVariables, setAccessControls, setAccessControls, setChanges, setChanges, setChangeState, setChangeState, setChangeStateState, setCustomAssociations, setCustomAssociations, setDocuments, setDocuments, setExtensions, setExtensions, setExternalIdentities, setExternalIdentities, setGroups, setGroups, setImplementors, setImplementors, setKeywords, setKeywords, setLocalizedAttributes, setLocalizedAttributes, setLockedBy, setLockedBy, setLockedByState, setNotes, setNotes, setPrimaryPropertyGroup, setPrimaryPropertyGroups, setPrimaryPropertyGroups, setPrompts, setPrompts, setProperties, setProperties, setPropertySets, setPropertySets, setReferencedObjects, setReferencedObjects, setResponsibleParties, setResponsibleParties, setSourceTransformations, setSourceTransformations, setSpecSourceTransformations, setSpecSourceTransformations, setSpecTargetTransformations, setSpecTargetTransformations, setTargetTransformations, setTargetTransformations, setTimestamps, setTimestamps, setTrees, setTrees, setTSObjectNamespace, setTSObjectNamespaces, setTSObjectNamespaces, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersionState, setUsedByPrototypes, setUsedByPrototypes, setUsingPrototype, setUsingPrototypes, setUsingPrototypes, setVariables, setVariables`

Methods inherited from interface com.sas.metadata.remote.MdObjectBaseXML
`closeUpdateMetadataXML, createEmptyXML, createObjectRefreshXML, createObjectXML, createObjectXML, createUpdateAssociationXML, createUpdateAssociationXML, createUpdateSimpleXML, doCreateUpdateXML, getUpdateSimpleSubstring, updateMetadataAll`

Methods inherited from interface com.sas.metadata.remote.MdObjectBaseUtil
`addMdObjectListener, delete, dispose, fireMdObjectModified, getAssociatedObjects, getAssociatedObjects, getAssociatedObjects, getAssociationNames, getAssocs, getAssocsWA, getAttributeNames, getAttrs, getAttrsStates, getChangeManagementState, getChgMgtExternalIdentityImportType, getClientSideOnlyObject, getMdObjectAssociation, getPopulatedAssocs, getUpdatedAttrs, getViewList, isCheckedOut, isLocked, objectModified, removeMdObjectListener, setAttrs, setChangeManagementTargetRepository, setChgMgtExternalIdentityImportType, setClientSideOnlyObject, setMdObjectAssociation, touch, updateAssnsIds`

Methods inherited from interface com.sas.metadata.remote.MdObjectBase
`addElementToChangeList, clearChangeList, getChangeList, getCMetadataType, getDesc, getDescMaxLength, getDescState, getFQID, getId, getIdState, getMetadataCreated, getMetadataCreatedState, getMetadataUpdated, getMetadataUpdatedState, getName, getNameMaxLength, getNameState, getObjectStore, getPredAssociations, getRepositoryID, getRequiredAssociations, getState, isAssociationRequired, isNewObject, isPredAssociation, removeElementFromChangeList, resetObject, resetState, resetStates, setCMetadataType, setDesc, setDesc, setDescState, setFQID, setFQID, setId, setId, setIdState, setMetadataCreated, setMetadataCreated, setMetadataCreatedState, setMetadataUpdated, setMetadataUpdated, setMetadataUpdatedState, setName, setName, setNameState, setObjectStore, setState`

Field Detail

### ATTRIBUTE_ISREMOTELYACCESSIBLE_NAME

    static final java.lang.String ATTRIBUTE_ISREMOTELYACCESSIBLE_NAME

  Constant used for the name of the IsRemotelyAccessible attribute.

  IsRemotelyAccessible: Specifies whether or not the service is remotely accessible (i.e. whether it is capable of servicing a client operating in a distributed environment).

  See Also:
    Constant Field Values

### ATTRIBUTE_FACTORYCLASSNAME_NAME

    static final java.lang.String ATTRIBUTE_FACTORYCLASSNAME_NAME

  Constant used for the name of the FactoryClassName attribute.

  FactoryClassName: Specifies the fully-qualified name of the class that serves as the factory for instantiating the service (i.e. com.sas.services.Information.InformationServiceFactory).

  See Also:
    Constant Field Values

Method Detail

### initializeRequiredObjects

    void initializeRequiredObjects()
                                   throws java.rmi.RemoteException

  (S) This initializes the Required Objects(Roles) which are:

  Specified by:
    `initializeRequiredObjects` in interface `ConfiguredComponent`
  Specified by:
    `initializeRequiredObjects` in interface `DeployedComponent`
  Specified by:
    `initializeRequiredObjects` in interface `MdObjectBaseUtil`
  Specified by:
    `initializeRequiredObjects` in interface `PrimaryType`
  Specified by:
    `initializeRequiredObjects` in interface `Root`
  Specified by:
    `initializeRequiredObjects` in interface `SoftwareComponent`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### initializePredObjects

    void initializePredObjects()
                               throws java.rmi.RemoteException

  (S) Adds the Associated objects to the predObjects which are:

  Specified by:
    `initializePredObjects` in interface `ConfiguredComponent`
  Specified by:
    `initializePredObjects` in interface `DeployedComponent`
  Specified by:
    `initializePredObjects` in interface `MdObjectBase`
  Specified by:
    `initializePredObjects` in interface `PrimaryType`
  Specified by:
    `initializePredObjects` in interface `Root`
  Specified by:
    `initializePredObjects` in interface `SoftwareComponent`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getIsRemotelyAccessible

    int getIsRemotelyAccessible()
                                throws java.rmi.RemoteException

  Gets the `int` value of `IsRemotelyAccessible`

  Returns:
    The `IsRemotelyAccessible`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getIsRemotelyAccessibleState

    int getIsRemotelyAccessibleState()
                                     throws java.rmi.RemoteException

  Gets the Metadata State of `IsRemotelyAccessible`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getFactoryClassName

    java.lang.String getFactoryClassName()
                                         throws java.rmi.RemoteException

  Gets the `String` value of `FactoryClassName`

  Returns:
    The `FactoryClassName`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getFactoryClassNameState

    int getFactoryClassNameState()
                                 throws java.rmi.RemoteException

  Gets the Metadata State of `FactoryClassName`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getFactoryClassNameMaxLength

    int getFactoryClassNameMaxLength()
                                     throws java.rmi.RemoteException

  Gets the maximum length of `FactoryClassName`

  Returns:
    The max size
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### setIsRemotelyAccessible

    void setIsRemotelyAccessible(int inIsRemotelyAccessible)
                                 throws java.rmi.RemoteException

  Sets the `IsRemotelyAccessible` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inIsRemotelyAccessible` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setIsRemotelyAccessible

    void setIsRemotelyAccessible(int inIsRemotelyAccessible,
                                 int state)
                                 throws java.rmi.RemoteException

  Sets the `IsRemotelyAccessible` Metadata State.

  Parameters:
    `inIsRemotelyAccessible` - int
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setIsRemotelyAccessible

    void setIsRemotelyAccessible(java.lang.String inIsRemotelyAccessible)
                                 throws java.rmi.RemoteException

  Sets the `IsRemotelyAccessible` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inIsRemotelyAccessible` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setIsRemotelyAccessible

    void setIsRemotelyAccessible(java.lang.String inIsRemotelyAccessible,
                                 int state)
                                 throws java.rmi.RemoteException

  Sets the `IsRemotelyAccessible` value and Metadata State.

  Parameters:
    `inIsRemotelyAccessible` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setIsRemotelyAccessibleState

    void setIsRemotelyAccessibleState(int state)
                                      throws java.rmi.RemoteException

  Sets the Metadata State of `IsRemotelyAccessible`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setFactoryClassName

    void setFactoryClassName(java.lang.String inFactoryClassName)
                             throws java.rmi.RemoteException

  Sets the `FactoryClassName` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inFactoryClassName` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setFactoryClassName

    void setFactoryClassName(java.lang.String inFactoryClassName,
                             int state)
                             throws java.rmi.RemoteException

  Sets the `FactoryClassName` Metadata State.

  Parameters:
    `inFactoryClassName` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setFactoryClassNameState

    void setFactoryClassNameState(int state)
                                  throws java.rmi.RemoteException

  Sets the Metadata State of `FactoryClassName`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.